Power control a Rack

View as Markdown

Power control a Rack identified by Rack UUID.

Supported power states: on, off, cycle, forceoff, forcecycle.

Org must have an Infrastructure Provider entity. User must have FORGE_PROVIDER_ADMIN authorization role.

Authentication

AuthorizationBearer
``` export JWT_BEARER_TOKEN="<jwt-bearer-token>" # Example org name: "acme-inc export ORG_NAME=<org-name> # Use the JWT bearer token in your API request auth header: curl -v -X GET -H "Content-Type: application/json" -H "Authorization: Bearer $JWT_BEARER_TOKEN" https://carbide-rest-api.carbide.svc.cluster.local/v2/org/$ORG_NAME/carbide/user/current ```

Path parameters

orgstringRequired
idstringRequired

Request

This endpoint expects an object.
siteIdstringRequiredformat: "uuid"
ID of the Site
stateenumRequired

Power control state to apply:

  • on: Power on the target(s)
  • off: Graceful power off
  • cycle: Graceful power cycle (restart)
  • forceoff: Forced power off (immediate)
  • forcecycle: Forced power cycle (immediate restart)
Allowed values:

Response

OK
taskIdslist of strings

List of task IDs created for the power control operation (one per rack)

Errors

400
Bad Request Error
403
Forbidden Error